classification
Title: -O0: Segmentation fault in _PyArg_UnpackStack
Type: crash Stage: resolved
Components: Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Vincent LE GARREC, bansan85, iritkatriel
Priority: normal Keywords:

Created on 2020-07-05 10:54 by Vincent LE GARREC, last changed 2021-09-27 22:07 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
backtrace.log.gz Vincent LE GARREC, 2020-07-05 10:54 backtrace.log.gz
Messages (3)
msg373026 - (view) Author: Vincent LE GARREC (Vincent LE GARREC) Date: 2020-07-05 10:54
In Gentoo, I compile my system with -O0

When I compile Apache Serf, python 3.7.8 crashes. When I compile python 3.7 with -O2, python don't crash when compiling Serf.

It's the first time that -O0 causes program crash.

I run test suite, I don't have any problem.

Please find enclosed the backtrace.

I can reproduce every time so if you want me to do some tests, I can do it.

I already report it to Gentoo (https://bugs.gentoo.org/730312) but it seems it's not related to them.
msg379569 - (view) Author: LE GARREC Vincent (bansan85) Date: 2020-10-25 08:16
I still have the problem with python 3.7.9 but not with python 3.8.6.

Since I migrated my system to python 3.8, it's not a problem anymore. I still have python 3.7 installed so if you want, I still can do some tests.
msg402749 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-09-27 22:07
Python 3.7 is no longer maintained. Please create a new issue if you see this problem on a current version (>= 3.9).
History
Date User Action Args
2021-09-27 22:07:28iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg402749

resolution: out of date
stage: resolved
2020-10-25 08:16:20bansan85setnosy: + bansan85
messages: + msg379569
2020-07-05 10:54:27Vincent LE GARRECcreate